Index: cprs/trunk/CPRS-Chart/Templates/fTemplateEditor.dfm
===================================================================
--- cprs/trunk/CPRS-Chart/Templates/fTemplateEditor.dfm	(revision 456)
+++ cprs/trunk/CPRS-Chart/Templates/fTemplateEditor.dfm	(revision 829)
@@ -1,27 +1,23 @@
-object frmTemplateEditor: TfrmTemplateEditor
-  Left = 135
-  Top = 239
-  Width = 748
-  Height = 470
+inherited frmTemplateEditor: TfrmTemplateEditor
+  Left = 321
+  Top = 119
   HelpContext = 10000
   ActiveControl = tvPersonal
   BorderIcons = [biSystemMenu, biMaximize]
   Caption = 'Template Editor'
-  Color = clBtnFace
-  Font.Charset = DEFAULT_CHARSET
-  Font.Color = clWindowText
-  Font.Height = -11
-  Font.Name = 'MS Sans Serif'
-  Font.Style = []
-  OldCreateOrder = False
+  ClientHeight = 450
+  ClientWidth = 740
   Position = poScreenCenter
   Scaled = False
+  OnClose = FormClose
   OnCloseQuery = FormCloseQuery
   OnCreate = FormCreate
   OnDestroy = FormDestroy
   OnShow = FormShow
+  ExplicitWidth = 748
+  ExplicitHeight = 477
   PixelsPerInch = 96
   TextHeight = 13
-  object splMain: TSplitter
+  object splMain: TSplitter [0]
     Left = 0
     Top = 239
@@ -35,7 +31,7 @@
     OnMoved = splMainMoved
   end
-  object splNotes: TSplitter
+  object splNotes: TSplitter [1]
     Left = 0
-    Top = 371
+    Top = 377
     Width = 740
     Height = 3
@@ -46,8 +42,9 @@
     Visible = False
     OnMoved = splBoilMoved
+    ExplicitTop = 371
   end
-  object pnlBottom: TORAutoPanel
+  object pnlBottom: TPanel [2]
     Left = 0
-    Top = 416
+    Top = 423
     Width = 740
     Height = 27
@@ -55,4 +52,5 @@
     BevelOuter = bvNone
     TabOrder = 4
+    ExplicitTop = 416
     DesignSize = (
       740
@@ -130,9 +128,9 @@
     end
   end
-  object pnlBoilerplate: TPanel
+  object pnlBoilerplate: TPanel [3]
     Left = 0
     Top = 284
     Width = 740
-    Height = 87
+    Height = 93
     Align = alClient
     BevelOuter = bvNone
@@ -142,19 +140,20 @@
     object splBoil: TSplitter
       Left = 0
-      Top = 43
+      Top = 14
       Width = 740
       Height = 3
       Cursor = crVSplit
-      Align = alBottom
+      Align = alTop
       AutoSnap = False
       Beveled = True
       Visible = False
       OnMoved = splBoilMoved
+      ExplicitTop = 43
     end
     object reBoil: TRichEdit
       Left = 0
-      Top = 14
+      Top = 17
       Width = 740
-      Height = 29
+      Height = 30
       Align = alClient
       Font.Charset = ANSI_CHARSET
@@ -163,4 +162,5 @@
       Font.Name = 'Courier New'
       Font.Style = []
+      Constraints.MinHeight = 30
       ParentFont = False
       PlainText = True
@@ -175,10 +175,11 @@
       OnResizeRequest = reResizeRequest
       OnSelectionChange = reBoilSelectionChange
+      ExplicitTop = 14
     end
     object pnlGroupBP: TPanel
       Left = 0
-      Top = 46
+      Top = 47
       Width = 740
-      Height = 41
+      Height = 46
       Align = alBottom
       BevelOuter = bvNone
@@ -192,4 +193,5 @@
         Align = alTop
         Caption = 'Group Boilerplate'
+        ExplicitWidth = 81
       end
       object lblGroupRow: TLabel
@@ -211,5 +213,5 @@
         Top = 16
         Width = 740
-        Height = 25
+        Height = 30
         Align = alClient
         Color = clCream
@@ -219,4 +221,5 @@
         Font.Name = 'Courier New'
         Font.Style = []
+        Constraints.MinHeight = 30
         ParentFont = False
         PlainText = True
@@ -281,5 +284,5 @@
     end
   end
-  object pnlTop: TPanel
+  object pnlTop: TPanel [4]
     Left = 0
     Top = 0
@@ -293,7 +296,5 @@
       Left = 297
       Top = 24
-      Width = 3
       Height = 215
-      Cursor = crHSplit
       Align = alRight
       AutoSnap = False
@@ -319,7 +320,5 @@
         Left = 216
         Top = 0
-        Width = 3
         Height = 215
-        Cursor = crHSplit
         Align = alRight
         AutoSnap = False
@@ -428,4 +427,5 @@
           FocusControl = tvPersonal
           PopupMenu = popTemplates
+          ExplicitWidth = 93
         end
         object tvPersonal: TORTreeView
@@ -716,6 +716,6 @@
             ShowHint = True
             TabOrder = 5
+            WordWrap = True
             OnClick = cbExcludeClick
-            WordWrap = True
             AutoSize = True
           end
@@ -760,11 +760,8 @@
               'erplate, between each item'#39's boilerplate.'
             Associate = edtGap
-            Min = 0
             Max = 3
             ParentShowHint = False
-            Position = 0
             ShowHint = True
             TabOrder = 8
-            Wrap = False
           end
           object edtName: TCaptionEdit
@@ -871,6 +868,6 @@
             ShowHint = True
             TabOrder = 4
+            WordWrap = True
             OnClick = cbHideItemsClick
-            WordWrap = True
             AutoSize = True
           end
@@ -913,4 +910,5 @@
             TabOrder = 2
             OnChange = cbxRemDlgsChange
+            CharsNeedMatch = 1
           end
           object cbLock: TORCheckBox
@@ -943,4 +941,5 @@
         FocusControl = tvShared
         PopupMenu = popTemplates
+        ExplicitWidth = 86
       end
       object tvShared: TORTreeView
@@ -1188,4 +1187,5 @@
         OnChange = cboOwnerChange
         OnNeedData = cboOwnerNeedData
+        CharsNeedMatch = 1
       end
       object btnNew: TORAlignButton
@@ -1194,8 +1194,8 @@
         Width = 182
         Height = 22
+        Align = alRight
         Caption = '&New Template'
         TabOrder = 2
         OnClick = btnNewClick
-        Align = alRight
       end
       object pnlMenu: TPanel
@@ -1212,5 +1212,5 @@
           Left = 1
           Top = 1
-          Width = 69
+          Width = 107
           Height = 20
           Align = alLeft
@@ -1219,5 +1219,4 @@
           ButtonWidth = 43
           Caption = 'mbMain'
-          Flat = True
           Menu = mnuMain
           ShowCaptions = True
@@ -1228,9 +1227,9 @@
     end
   end
-  object pnlNotes: TPanel
+  object pnlNotes: TPanel [5]
     Left = 0
-    Top = 374
+    Top = 380
     Width = 740
-    Height = 42
+    Height = 43
     Align = alBottom
     BevelOuter = bvNone
@@ -1244,4 +1243,5 @@
       Align = alTop
       Caption = 'Template Notes:'
+      ExplicitWidth = 78
     end
     object reNotes: TRichEdit
@@ -1249,5 +1249,5 @@
       Top = 13
       Width = 740
-      Height = 29
+      Height = 30
       Align = alClient
       Font.Charset = ANSI_CHARSET
@@ -1256,4 +1256,5 @@
       Font.Name = 'Courier New'
       Font.Style = []
+      Constraints.MinHeight = 30
       ParentFont = False
       PlainText = True
@@ -1269,5 +1270,5 @@
     end
   end
-  object pnlCOM: TPanel
+  object pnlCOM: TPanel [6]
     Left = 0
     Top = 263
@@ -1286,4 +1287,5 @@
       Caption = '  Passed Value: '
       Layout = tlCenter
+      ExplicitHeight = 13
     end
     object lblCOMObj: TLabel
@@ -1295,4 +1297,5 @@
       Caption = ' COM Object: '
       Layout = tlCenter
+      ExplicitHeight = 13
     end
     object edtCOMParam: TCaptionEdit
@@ -1301,7 +1304,7 @@
       Width = 380
       Height = 21
+      Align = alClient
       TabOrder = 0
       OnChange = edtCOMParamChange
-      Align = alClient
       Caption = 'Passed Value'
     end
@@ -1329,7 +1332,8 @@
       TabOrder = 1
       OnChange = cbxCOMObjChange
+      CharsNeedMatch = 1
     end
   end
-  object pnlLink: TPanel
+  object pnlLink: TPanel [7]
     Left = 0
     Top = 242
@@ -1348,4 +1352,5 @@
       Caption = ' Associated Consult Service: '
       Layout = tlCenter
+      ExplicitHeight = 13
     end
     object cbxLink: TORComboBox
@@ -1367,5 +1372,5 @@
       LookupPiece = 0
       MaxLength = 0
-      Pieces = '2,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,1'
+      Pieces = '2'
       HideSynonyms = True
       Sorted = False
@@ -1376,6 +1381,252 @@
       OnChange = cbxLinkChange
       OnNeedData = cbxLinkNeedData
-      OnSynonymCheck = cbxLinkSynonymCheck
-    end
+      CharsNeedMatch = 1
+    end
+  end
+  inherited amgrMain: TVA508AccessibilityManager
+    Data = (
+      (
+        'Component = pnlBottom'
+        'Status = stsDefault')
+      (
+        'Component = btnApply'
+        'Status = stsDefault')
+      (
+        'Component = btnCancel'
+        'Status = stsDefault')
+      (
+        'Component = btnOK'
+        'Status = stsDefault')
+      (
+        'Component = cbEditShared'
+        'Status = stsDefault')
+      (
+        'Component = cbNotes'
+        'Status = stsDefault')
+      (
+        'Component = cbEditUser'
+        'Status = stsDefault')
+      (
+        'Component = pnlBoilerplate'
+        'Status = stsDefault')
+      (
+        'Component = reBoil'
+        'Label = lblBoilerplate'
+        'Status = stsOK')
+      (
+        'Component = pnlGroupBP'
+        'Status = stsDefault')
+      (
+        'Component = reGroupBP'
+        'Label = lblGroupBP'
+        'Status = stsOK')
+      (
+        'Component = pnlGroupBPGap'
+        'Status = stsDefault')
+      (
+        'Component = pnlBP'
+        'Status = stsDefault')
+      (
+        'Component = cbLongLines'
+        'Status = stsDefault')
+      (
+        'Component = pnlTop'
+        'Status = stsDefault')
+      (
+        'Component = pnlRightTop'
+        'Status = stsDefault')
+      (
+        'Component = pnlCopyBtns'
+        'Status = stsDefault')
+      (
+        'Component = sbCopyRight'
+        'Property = Hint'
+        'Status = stsOK')
+      (
+        'Component = sbCopyLeft'
+        'Property = Hint'
+        'Status = stsOK')
+      (
+        'Component = pnlPersonal'
+        'Status = stsDefault')
+      (
+        'Component = tvPersonal'
+        'Status = stsDefault')
+      (
+        'Component = pnlPersonalBottom'
+        'Status = stsDefault')
+      (
+        'Component = sbPerUp'
+        'Property = Hint'
+        'Status = stsOK')
+      (
+        'Component = sbPerDown'
+        'Property = Hint'
+        'Status = stsOK')
+      (
+        'Component = sbPerDelete'
+        'Property = Hint'
+        'Status = stsOK')
+      (
+        'Component = cbPerHide'
+        'Property = Hint'
+        'Status = stsOK')
+      (
+        'Component = pnlPersonalGap'
+        'Status = stsDefault')
+      (
+        'Component = pnlPerSearch'
+        'Status = stsDefault')
+      (
+        'Component = btnPerFind'
+        'Text = Find Personal Template'
+        'Status = stsOK')
+      (
+        'Component = edtPerSearch'
+        'Status = stsDefault')
+      (
+        'Component = cbPerMatchCase'
+        'Status = stsDefault')
+      (
+        'Component = cbPerWholeWords'
+        'Status = stsDefault')
+      (
+        'Component = pnlProperties'
+        'Status = stsDefault')
+      (
+        'Component = gbProperties'
+        'Status = stsDefault')
+      (
+        'Component = cbExclude'
+        'Status = stsDefault')
+      (
+        'Component = cbActive'
+        'Status = stsDefault')
+      (
+        'Component = edtGap'
+        'Status = stsDefault')
+      (
+        'Component = udGap'
+        'Status = stsDefault')
+      (
+        'Component = edtName'
+        'Status = stsDefault')
+      (
+        'Component = gbDialogProps'
+        'Status = stsDefault')
+      (
+        'Component = cbDisplayOnly'
+        'Status = stsDefault')
+      (
+        'Component = cbOneItemOnly'
+        'Status = stsDefault')
+      (
+        'Component = cbFirstLine'
+        'Status = stsDefault')
+      (
+        'Component = cbHideDlgItems'
+        'Status = stsDefault')
+      (
+        'Component = cbIndent'
+        'Status = stsDefault')
+      (
+        'Component = cbHideItems'
+        'Status = stsDefault')
+      (
+        'Component = cbxType'
+        'Status = stsDefault')
+      (
+        'Component = cbxRemDlgs'
+        'Status = stsDefault')
+      (
+        'Component = cbLock'
+        'Status = stsDefault')
+      (
+        'Component = pnlShared'
+        'Status = stsDefault')
+      (
+        'Component = tvShared'
+        'Status = stsDefault')
+      (
+        'Component = pnlSharedBottom'
+        'Status = stsDefault')
+      (
+        'Component = sbShUp'
+        'Property = Hint'
+        'Status = stsOK')
+      (
+        'Component = sbShDown'
+        'Property = Hint'
+        'Status = stsOK')
+      (
+        'Component = sbShDelete'
+        'Property = Hint'
+        'Status = stsOK')
+      (
+        'Component = cbShHide'
+        'Property = Hint'
+        'Status = stsOK')
+      (
+        'Component = pnlSharedGap'
+        'Status = stsDefault')
+      (
+        'Component = pnlShSearch'
+        'Status = stsDefault')
+      (
+        'Component = btnShFind'
+        'Text = Find Shared Template'
+        'Status = stsOK')
+      (
+        'Component = edtShSearch'
+        'Status = stsDefault')
+      (
+        'Component = cbShMatchCase'
+        'Status = stsDefault')
+      (
+        'Component = cbShWholeWords'
+        'Status = stsDefault')
+      (
+        'Component = pnlMenuBar'
+        'Status = stsDefault')
+      (
+        'Component = cboOwner'
+        'Status = stsDefault')
+      (
+        'Component = btnNew'
+        'Status = stsDefault')
+      (
+        'Component = pnlMenu'
+        'Status = stsDefault')
+      (
+        'Component = mbMain'
+        'Status = stsDefault')
+      (
+        'Component = pnlNotes'
+        'Status = stsDefault')
+      (
+        'Component = reNotes'
+        'Label = lblNotes'
+        'Status = stsOK')
+      (
+        'Component = pnlCOM'
+        'Status = stsDefault')
+      (
+        'Component = edtCOMParam'
+        'Label = lblCOMParam'
+        'Status = stsOK')
+      (
+        'Component = cbxCOMObj'
+        'Property = Caption'
+        'Status = stsOK')
+      (
+        'Component = pnlLink'
+        'Status = stsDefault')
+      (
+        'Component = cbxLink'
+        'Label = lblLink'
+        'Status = stsOK')
+      (
+        'Component = frmTemplateEditor'
+        'Status = stsDefault'))
   end
   object popTemplates: TPopupMenu
@@ -1750,3 +2001,16 @@
     Top = 136
   end
+  object imgLblTemplates: TVA508ImageListLabeler
+    Components = <
+      item
+        Component = tvPersonal
+      end
+      item
+        Component = tvShared
+      end>
+    Labels = <>
+    RemoteLabeler = dmodShared.imgLblHealthFactorLabels
+    Left = 104
+    Top = 144
+  end
 end
